![Novaconium PHP](/_assets/novaconium-logo.png)

# Novaconium PHP:  A PHP Framework Built from the Past

NovaconiumPHP is a high-performance PHP framework designed with inspiration from classic coding principles. 

Pronounced: Noh-vah-koh-nee-um

Packagist: https://packagist.org/packages/4lt/novaconium 
Master Repo: https://git.4lt.ca/4lt/novaconium

## Getting Started

### Installation (docker)

```bash
mkdir project_name;
cd project_name;

composer require 4lt/novaconium

docker run --rm --interactive --tty --volume $PWD:/app composer:latest require 4lt/novaconium
cp -R vendor/4lt/novaconium/defaults/App/ .
cp -R vendor/4lt/novaconium/defaults/public/ .
```

### Install Composer on Debian

```bash
sudo nala install curl php-cli php-mbstring git unzip
curl -sS https://getcomposer.org/installer -o composer-setup.php
sudo php composer-setup.php --install-dir=/usr/local/bin --filename=composer
rm composer-setup.php
```

## APP Database config

Open the /App/config.php file and change the database section to match the above:

```php
'database' => [ 
        'host' => 'mariadb',
        'name' => 'mydb',
        'user' => 'dbuser',
        'pass' => 'AlsoChangeThisPassword0123456789',
        'port' => 3306
    ],
```

## Documentation

* [Docker Setup](https://git.4lt.ca/4lt/novaconium)
